#ifndef INC__UNCOPYABLE__INC

	// deriving from this class prevents compiler generation of default assigment and copy constructors-
	// thus no special action needs to be taken to prevent this in such derived classes
	class Uncopyable
		{	
		public:
			Uncopyable(){};
		private:	
			Uncopyable(const Uncopyable&);
			Uncopyable& operator=(const Uncopyable&);
		};
		
	#define INC__UNCOPYABLE__INC
#endif  //INC__UNCOPYABLE__INC
